Installer - Bug #32112

configure gunicorn worker timeout for pulpcore-api.service
03/17/2021 05:37 AM - William Clark
William Clark

Foreman modules

Difficulty: easy Fixed in Releases:
Triaged: No Found in Releases:  2.3.3
Bugzilla link: 1940657 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/178,
https://github.com/theforeman/puppet-pul
pcore/pull/179
Description

While syncing several large repositories, | faced the issue

pulpcore-api: [2021-03-16 18:25:37 -0400] [10699] [CRITICAL] WORKER TIMEOUT (pid:10746)
pulpcore-api: [2021-03-16 22:25:38 +0000] [10746] [INFO] Worker exiting (pid: 10746)

pulpcore-api: [2021-03-16 18:25:39 -0400] [12522] [INFO] Booting worker with pid: 12522

This should be alleviated by increasing the gunicorn worker timeout for the pulpcore-api.service from the default 30 seconds

Associated revisions

Revision 5ff78ec9 - 03/19/2021 02:10 PM - William Clark

Fixes #32112 - Configure api service gunicorn worker timeout

Revision 8df320e1 - 03/19/2021 06:21 PM - William Clark

Refs #32112 - Match upstream pulp default api service worker timeout

History

#1 - 03/17/2021 05:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/178 added

#2 - 03/18/2021 09:11 PM - Justin Sherrill
- Bugzilla link set to 1940657

#3 - 03/19/2021 03:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|5ff78ec9b08452acf8f819bea3d2f55dcd8f4926.

#4 - 03/19/2021 06:07 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/179 added
